Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jsptools.portal
Class PortalDisassembler

    java.lang.Object
      com.bea.jsptools.portal.PortalDisassembler

public class PortalDisassembler
extends Object

Field Summary
`protected static CustomizationContext` | `customizationContext`
`static String` | `I18N_FILE`

Constructor Summary
`PortalDisassembler()`

Method Summary
`static DesktopDefinition` | `disassemble(PortalPath portalPath, DesktopPath desktopPath, String desktopTitle, String desktopDescription, String webAppName, int disassemblerAction, InputStream portalInputStream, HttpServletRequest request)`
`static DesktopDefinition` | `disassemble(PortalPath portalPath, DesktopPath desktopPath, String webAppName, String portalTitle, String portalDescription, String portalUri, InputStream portalInputStream, HttpServletRequest request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### customizationContext

    protected static CustomizationContext customizationContext

### I18N_FILE

    public static final String I18N_FILE

See Also:
  Constant Field Values

Constructor Detail

### PortalDisassembler

    public PortalDisassembler()

Method Detail

### disassemble

    public static DesktopDefinition disassemble(PortalPath portalPath,
                                                DesktopPath desktopPath,
                                                String desktopTitle,
                                                String desktopDescription,
                                                String webAppName,
                                                int disassemblerAction,
                                                InputStream portalInputStream,
                                                HttpServletRequest request)

### disassemble

    public static DesktopDefinition disassemble(PortalPath portalPath,
                                                DesktopPath desktopPath,
                                                String webAppName,
                                                String portalTitle,
                                                String portalDescription,
                                                String portalUri,
                                                InputStream portalInputStream,
                                                HttpServletRequest request)
                                         throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved